function homePageMap() {
    const mapContainer = document.querySelector("#homeMap");
    const homeMapSettings = JSON.parse(mapContainer.querySelector(".homeMapSettings").innerText);

    const markers = homeMapSettings.markers;
    const maxZoom = homeMapSettings.maxzoom;        

    const myLatLng = {
        lat: 0,
        lng: 0
    };

    var map = new google.maps.Map(mapContainer, {
        center: {
            lat: 0,
            lng: 0
        },
        zoom: maxZoom,
        styles: [{
            featureType: "administrative",
            elementType: "all",
            stylers: [{
                saturation: "-100"
            }]
        }, {
            featureType: "landscape",
            elementType: "all",
            stylers: [{
                saturation: -100
            }, {
                lightness: 65
            }, {
                visibility: "on"
            }]
        }, {
            featureType: "poi",
            elementType: "all",
            stylers: [{
                saturation: -100
            }, {
                lightness: "50"
            }, {
                visibility: "simplified"
            }]
        }, {
            featureType: "road",
            elementType: "all",
            stylers: [{
                saturation: "-100"
            }]
        }, {
            featureType: "road.highway",
            elementType: "all",
            stylers: [{
                visibility: "simplified"
            }]
        }, {
            featureType: "road.arterial",
            elementType: "all",
            stylers: [{
                lightness: "30"
            }]
        }]
    });

    var bounds = new google.maps.LatLngBounds();
    markers.forEach((marker) => {
        const mapMarker = new google.maps.Marker(marker);
        mapMarker.setMap(map);
        bounds.extend(marker.position);
    });

    map.fitBounds(bounds);

    var listener = google.maps.event.addListener(map, "idle", function () {
        if (map.getZoom() > maxZoom) {
            map.setZoom(maxZoom);
        }
        google.maps.event.removeListener(listener);
    });
    /*var marker = new google.maps.Marker({
        position: myLatLng
    });
    marker.setMap(map);*/
}

document.querySelectorAll(".overview-video-button").forEach((overviewVideoButton) => {
    let videoID = overviewVideoButton.getAttribute("data-id");
    let popupVideo = document.createElement('div');
    popupVideo.classList.add("popup-video");
    popupVideo.innerHTML =  '<iframe width="560" height="315" src="https://www.youtube.com/embed/'+videoID+'" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>';
 
    let closeVideo = document.createElement('button');
    closeVideo.innerHTML = 'Close Video';
    closeVideo.onclick = function(){
      document.body.removeChild(popupVideo);  
    };
    
    popupVideo.prepend(closeVideo);
    
    overviewVideoButton.onclick = function(){
        document.body.appendChild(popupVideo);
    }    
});

document.querySelectorAll(".slider-arrow").forEach((sliderArrow) => {
    sliderArrow.onclick = function(){
        let container = sliderArrow.parentElement;
        let otherCards = container.querySelectorAll(':scope > * ');
        let distance = otherCards[3].offsetLeft - otherCards[2].offsetLeft;
        let multiplier = 1;
        if(sliderArrow.classList.contains('left')){
            multiplier = -1;
        }
        container.scrollLeft += multiplier * distance;
        console.log(distance);
    }
});
