<?php /* Template Name: Contact Us */ ?>
<?php get_header(); ?>
<?php $locations = get_posts( [ 'post_type' => 'location', 'numberposts' => -1 ] ); ?>
<section class="post contact-us">
    <?php
        $background_source_id = has_post_thumbnail() ? get_the_ID() : get_option('page_on_front');
    ?>
    <div class="header-banner">
        <img src="<?= get_the_post_thumbnail_url( $background_source_id, 'viewport-width' ) ?>" style="object-position: 50% <?php the_field('featured_image_center_v', $background_source_id); ?>%" 
             srcset="<?= get_the_post_thumbnail_url( $background_source_id, 'viewport-width' ) ?> 1920w,
                     <?= get_the_post_thumbnail_url( $background_source_id, 'large' ) ?> 1200w,
                     <?= get_the_post_thumbnail_url( $background_source_id, 'medium' ) ?> 800w"
             width="1920" height="1080" alt="">        
        <div class="aon-container">
            <h1>
                <?= get_the_title() ?>
            </h1>
        </div>
    </div>
    <div class="content aon-container">
        <?php if( trim( get_the_content() ) != ''){ ?>
            <div class="contact-us-body"><?php the_content(); ?></div>
        <?php } else { ?>
            <div class="location-cards" style="--columns: 1;">
                <?php
                
                foreach ( $locations as $location ) {
                    $address_line_1 = get_field( 'address_line_1', $location->ID );
                    $address_line_2 = get_field( 'address_line_2', $location->ID );
                    $city = get_field( 'city', $location->ID );
                    $state = get_field( 'state', $location->ID );
                    $zip = get_field( 'zip_code', $location->ID );
                    $phone = get_field( 'phone', $location->ID );
                    $fax = get_field( 'fax', $location->ID );
                    $additional_information = get_field( 'additional_information', $location->ID );
                    ?>
                    <article class="location-card">
                        <h3 class="title title3">
                            <?= $location->post_title;?>
                        </h3>
                        <p class="address">
                            <?php 
                                echo $address_line_1; 
                                if($address_line_2!=''){ 
                                    ?>, <span style="white-space: nowrap"><?=$address_line_2;?></span><?php 
                                } 
                            ?>
                            <br />
                            <?= $city ?>, <span style="white-space: nowrap"><?= $state ?> <?= $zip ?></span>
                        </p>
						<?php if( !empty($additional_information) ){ ?>
						<p class="additional-information">
							<?= $additional_information ?>
						</p>
						<?php } ?>
                        <p class="lines">
                            Phone: <a href="tel:<?= $phone ?>"><?= $phone ?></a>
                            <?php if( !empty($fax) ){ ?>
                            <br />
                            Fax: <?= $fax ?>
                            <?php } ?>
                        </p>
                    </article>
                <?php
                }
                ?>
            </div> 
        <?php } ?>
        <?php 
            $hubspot_forms = [];
            foreach ( $locations as $location_index => $location ) {
                $hubspot_form_id = get_field( 'hubspot_form_id', $location->ID );
                if($hubspot_form_id!=''){
                    $hubspot_forms[$location_index] = $hubspot_form_id;
                }                    
            }
            
            if( count($hubspot_forms) > 0 ){  ?>
                <script charset="utf-8" type="text/javascript" src="//js.hsforms.net/forms/v2.js?pre=1"></script>
                <div class="hubspot_forms">
                    <?php if( count($hubspot_forms) > 1 ){ ?>
                        <label id="label-practice_location" class="" placeholder="Select a Practice Location" for="practice_location"><span>Practice Location</span></label>
                        <select id="practice_location" class="hs-input is-placeholder" name="practice_location">
                            <?php foreach ( $locations as $location_index => $location ) { ?>
                                <option value="<?php echo $hubspot_forms[$location_index] ?>"><?php echo $location->post_title ?></option>
                            <?php } ?>
                        </select>
                    <?php } ?>
                    <?php foreach ( $hubspot_forms as $hubspot_form ) { ?>
                        <div class="contact-form" >
                            <script>
                              hbspt.forms.create({
                                region: "na1",
                                portalId: "5108983",
                                formId: "<?php echo $hubspot_form ?>"
                              });
                            </script>
                        </div>
                    <?php } ?>
                </div><?php 
            } 
        ?>
    </div>
</section>
<?php get_footer(); ?>
