<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="<? bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><? wp_title( '|', true, 'right' ); ?><?= bloginfo('name') ?></title>
<meta name="description" content="<?= get_the_excerpt() ?>">

<meta property="og:url"                content="<?= wp_get_canonical_url() ?>" />
<meta property="og:image"              content="<?php $background_source_id = has_post_thumbnail() ? get_the_ID() : get_option('page_on_front'); echo get_the_post_thumbnail_url( $background_source_id, 'viewport-width' ) ?>" />
<meta property="og:type"               content="website" />
<meta property="og:title"              content="<? wp_title( '|', true, 'right' ); ?><?= bloginfo('name') ?>" />
<meta property="og:description"        content="<?= get_the_excerpt() ?>" />
    
<style>
    :root{
        --primary-compliant-color: <?= get_field('primary_compliant_color', 'option') ?>;
        --primary-contrast-color: <?= get_field('primary_contrast_color', 'option') ?>;
        --secondary-compliant-color: <?= get_field('secondary_compliant_color', 'option') ?>;
        --secondary-contrast-color: <?= get_field('secondary_contrast_color', 'option') ?>;
        --tertiary-color: <?= get_field('tertiary_color', 'option') ?>;
        --light-gray: <?= get_field('light_gray', 'option') ?>;
        --font-color: <?= get_field('font_color', 'option') ?>;
        --footer-color: <?= get_field('footer_color', 'option') ?>;
        --aon-gap: 1rem;
        --aon-radius: 0.15rem;
    }
    
    <?php include('global-content.css') ?>
    
    <?php include('style.css') ?>
    
    <?php if ( current_user_can( 'manage_options' ) ) { ?>
		html:not(.trick){
			scroll-padding-top: auto;
			scroll-padding-bottom: var(--wp-admin--admin-bar--height);
			margin-top: auto !important;
			margin-bottom: var(--wp-admin--admin-bar--height);		
		}

		html #wpadminbar {
			top: auto;
			bottom: 0;
            position: fixed;
		}
    <?php } ?>
</style>
<?/*
<link rel="stylesheet" href="<?= get_template_directory_uri(); ?>/global-content.css?v=<?= get_field('version', 'option'); ?>" type="text/css" />
<link rel="stylesheet" href="<?= esc_url( get_stylesheet_uri() ); ?>?v=<?= get_field('version', 'option'); ?>" type="text/css" />
*/?> 
    
<? wp_head(); ?>
    
<script async src="<?= get_template_directory_uri(); ?>/scripts.js?v=<?= get_field('version', 'option'); ?>"></script>
    
<?php $google_analytics =  get_field('google_analytics', 'option'); if( $google_analytics !='' ){ ?>
<!-- Google tag (gtag.js) -->    
<script async src="https://www.googletagmanager.com/gtag/js?id=<?= $google_analytics ?>"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', '<?= $google_analytics ?>');
</script>
<?php } ?>
    
<?= get_field('additional_scripts', 'option'); ?>
    
</head>
<body class="<?php echo is_front_page() ? 'front-page' : ''; ?>" >
	<div id="header-observer"></div>
	<input type="checkbox" id="menu-main-expand">
	<header>
		<div class="aon-container">
			<div class="logo">
				<a href="/"><img alt="<? bloginfo( 'name' ); ?> Logo" src="<?= get_custom_logo_url(); ?>" width="200" height="50"></a>
			</div>
			<label for="s" class="icon-search" aria-label="Toggle search bar"></label>
			<form role="search" method="get" id="searchform" class="searchform" action="/">
				<input type="text" value="<?php echo get_search_query(); ?>" placeholder="Search" name="s" id="s">
				<input type="submit" id="searchsubmit" value="" aria-label="Search">
			</form>
			<?php 
				wp_nav_menu( array(
					'menu' => 'main',
                    'container' => 'nav',
                    'walker' => new Main_Menu_Walker()
				) );
			?>						
			<label class="menu-main-toggle" for="menu-main-expand" aria-label="Toggle main menu">
				<div class="burger"></div>
			</label>
		</div>
	</header>