<?php
get_header();
?>
<section class="post physician">
    <div class="header-banner">
        <img src="<?= get_template_directory_uri(); ?>/media/physician-header-5224534-min.jpg"
             srcset="<?= get_template_directory_uri(); ?>/media/physician-header-5224534-min.jpg 1900w,
                     <?= get_template_directory_uri(); ?>/media/physician-header-5224534-880-min.jpg 880w"
             width="1920" height="1279" alt="">
        <div class="aon-container">
            <h1>
                <?= get_the_title() ?>                
            </h1>
            <div class="position"><?= get_field( 'position' ); ?></div>            
        </div>
    </div>
    <div class="content">
        <div class="aon-container">
            <div class="headshot">
                <img src="<?= get_the_post_thumbnail_url( get_the_id() , 'medium' ); ?>" width="320" height="320" alt="<?= htmlspecialchars(strip_tags(get_the_title())); ?>">
            </div>
            <div class="bio">
               <?php the_content(); ?> 
            </div>
            <?php $review_doc_id = get_field( 'review_doc_id' ); ?>
            <?php if( $review_doc_id > 0 ) { ?>
                <div class="reviews aon-slides">
                    <?php
                        $reviews_encoded = file_get_contents("https://www.aoncology.com/reviews.php?doc=".$review_doc_id);
                        $reviews_decoded = json_decode($reviews_encoded,true);

                        $reviews = array();
                        if(!is_null($reviews_decoded)){
                            $reviews=array_slice($reviews_decoded,0,5);
                        }

                        foreach($reviews as $review){
                            ?>
                            <div class="review aon-slide">
                                <div class="date"><?=date('M jS, Y', strtotime($review['datePublished']));?></div>
                                <div class="rating"><?php for($i=0;$i<intval($review['rating']);$i++){echo '★';} ?></div>
                                <div class="description"><?=$review['description'];?></div>
                                <div class="author"><?=$review['author'];?></div>
                            </div>
                            <?php
                        }
                    ?>
                <?php } ?>
            </div>
        </div>
    </div>
</section>
<?php
get_footer();
?>
